Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/AlgorithmData.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/AlgorithmData.cs	(revision 4481)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/AlgorithmData.cs	(revision 4481)
@@ -0,0 +1,26 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+
+namespace HeuristicLab.Clients.OKB {
+  public partial class AlgorithmData : IContent { }
+}
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/Problem.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/Problem.cs	(revision 4481)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/Problem.cs	(revision 4481)
@@ -0,0 +1,31 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.OKB {
+  [Item("Problem", "An OKB problem.")]
+  public partial class Problem {
+    public Problem() {
+      Name = "New Problem";
+    }
+  }
+}
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/ProblemClass.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/ProblemClass.cs	(revision 4481)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/ServiceClients/ProblemClass.cs	(revision 4481)
@@ -0,0 +1,31 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Clients.OKB {
+  [Item("ProblemClass", "An OKB problem class.")]
+  public partial class ProblemClass {
+    public ProblemClass() {
+      Name = "New Problem Class";
+    }
+  }
+}
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AdministratorView.Designer.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AdministratorView.Designer.cs	(revision 4480)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AdministratorView.Designer.cs	(revision 4481)
@@ -46,21 +46,26 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AdministratorView));
       this.tabControl = new System.Windows.Forms.TabControl();
       this.platformsTabPage = new System.Windows.Forms.TabPage();
       this.platformCollectionView = new HeuristicLab.Clients.OKB.PlatformCollectionView();
+      this.dataTypesTabPage = new System.Windows.Forms.TabPage();
+      this.dataTypeCollectionView = new HeuristicLab.Clients.OKB.DataTypeCollectionView();
       this.algorithmClassesTabPage = new System.Windows.Forms.TabPage();
       this.algorithmClassCollectionView = new HeuristicLab.Clients.OKB.AlgorithmClassCollectionView();
       this.algorithmsTabPage = new System.Windows.Forms.TabPage();
       this.algorithmCollectionView = new HeuristicLab.Clients.OKB.AlgorithmCollectionView();
-      this.dataTypesTabPage = new System.Windows.Forms.TabPage();
+      this.problemClassesTabPage = new System.Windows.Forms.TabPage();
+      this.problemsTabPage = new System.Windows.Forms.TabPage();
       this.refreshButton = new System.Windows.Forms.Button();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.dataTypeCollectionView = new HeuristicLab.Clients.OKB.DataTypeCollectionView();
+      this.problemClassCollectionView = new HeuristicLab.Clients.OKB.ProblemClassCollectionView();
+      this.problemCollectionView = new HeuristicLab.Clients.OKB.ProblemCollectionView();
       this.tabControl.SuspendLayout();
       this.platformsTabPage.SuspendLayout();
+      this.dataTypesTabPage.SuspendLayout();
       this.algorithmClassesTabPage.SuspendLayout();
       this.algorithmsTabPage.SuspendLayout();
-      this.dataTypesTabPage.SuspendLayout();
+      this.problemClassesTabPage.SuspendLayout();
+      this.problemsTabPage.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -71,7 +76,9 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.platformsTabPage);
+      this.tabControl.Controls.Add(this.dataTypesTabPage);
       this.tabControl.Controls.Add(this.algorithmClassesTabPage);
       this.tabControl.Controls.Add(this.algorithmsTabPage);
-      this.tabControl.Controls.Add(this.dataTypesTabPage);
+      this.tabControl.Controls.Add(this.problemClassesTabPage);
+      this.tabControl.Controls.Add(this.problemsTabPage);
       this.tabControl.Location = new System.Drawing.Point(0, 29);
       this.tabControl.Name = "tabControl";
@@ -98,9 +105,33 @@
       this.platformCollectionView.Caption = "PlatformCollection View";
       this.platformCollectionView.Content = null;
-      this.platformCollectionView.Location = new System.Drawing.Point(6, 6);
+      this.platformCollectionView.Location = new System.Drawing.Point(3, 3);
       this.platformCollectionView.Name = "platformCollectionView";
       this.platformCollectionView.ReadOnly = false;
-      this.platformCollectionView.Size = new System.Drawing.Size(707, 368);
+      this.platformCollectionView.Size = new System.Drawing.Size(713, 374);
       this.platformCollectionView.TabIndex = 0;
+      // 
+      // dataTypesTabPage
+      // 
+      this.dataTypesTabPage.Controls.Add(this.dataTypeCollectionView);
+      this.dataTypesTabPage.Location = new System.Drawing.Point(4, 22);
+      this.dataTypesTabPage.Name = "dataTypesTabPage";
+      this.dataTypesTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.dataTypesTabPage.Size = new System.Drawing.Size(719, 380);
+      this.dataTypesTabPage.TabIndex = 3;
+      this.dataTypesTabPage.Text = "Data Types";
+      this.dataTypesTabPage.UseVisualStyleBackColor = true;
+      // 
+      // dataTypeCollectionView
+      // 
+      this.dataTypeCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dataTypeCollectionView.Caption = "DataTypeCollection View";
+      this.dataTypeCollectionView.Content = null;
+      this.dataTypeCollectionView.Location = new System.Drawing.Point(3, 3);
+      this.dataTypeCollectionView.Name = "dataTypeCollectionView";
+      this.dataTypeCollectionView.ReadOnly = false;
+      this.dataTypeCollectionView.Size = new System.Drawing.Size(713, 374);
+      this.dataTypeCollectionView.TabIndex = 0;
       // 
       // algorithmClassesTabPage
@@ -122,8 +153,8 @@
       this.algorithmClassCollectionView.Caption = "AlgorithmClassCollection View";
       this.algorithmClassCollectionView.Content = null;
-      this.algorithmClassCollectionView.Location = new System.Drawing.Point(6, 6);
+      this.algorithmClassCollectionView.Location = new System.Drawing.Point(3, 3);
       this.algorithmClassCollectionView.Name = "algorithmClassCollectionView";
       this.algorithmClassCollectionView.ReadOnly = false;
-      this.algorithmClassCollectionView.Size = new System.Drawing.Size(707, 368);
+      this.algorithmClassCollectionView.Size = new System.Drawing.Size(713, 374);
       this.algorithmClassCollectionView.TabIndex = 0;
       // 
@@ -146,24 +177,33 @@
       this.algorithmCollectionView.Caption = "AlgorithmCollection View";
       this.algorithmCollectionView.Content = null;
-      this.algorithmCollectionView.Location = new System.Drawing.Point(6, 6);
+      this.algorithmCollectionView.Location = new System.Drawing.Point(3, 3);
       this.algorithmCollectionView.Name = "algorithmCollectionView";
       this.algorithmCollectionView.ReadOnly = false;
-      this.algorithmCollectionView.Size = new System.Drawing.Size(707, 368);
+      this.algorithmCollectionView.Size = new System.Drawing.Size(713, 374);
       this.algorithmCollectionView.TabIndex = 0;
       // 
-      // dataTypesTabPage
-      // 
-      this.dataTypesTabPage.Controls.Add(this.dataTypeCollectionView);
-      this.dataTypesTabPage.Location = new System.Drawing.Point(4, 22);
-      this.dataTypesTabPage.Name = "dataTypesTabPage";
-      this.dataTypesTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.dataTypesTabPage.Size = new System.Drawing.Size(719, 380);
-      this.dataTypesTabPage.TabIndex = 3;
-      this.dataTypesTabPage.Text = "Data Types";
-      this.dataTypesTabPage.UseVisualStyleBackColor = true;
+      // problemClassesTabPage
+      // 
+      this.problemClassesTabPage.Controls.Add(this.problemClassCollectionView);
+      this.problemClassesTabPage.Location = new System.Drawing.Point(4, 22);
+      this.problemClassesTabPage.Name = "problemClassesTabPage";
+      this.problemClassesTabPage.Size = new System.Drawing.Size(719, 380);
+      this.problemClassesTabPage.TabIndex = 4;
+      this.problemClassesTabPage.Text = "Problem Classes";
+      this.problemClassesTabPage.UseVisualStyleBackColor = true;
+      // 
+      // problemsTabPage
+      // 
+      this.problemsTabPage.Controls.Add(this.problemCollectionView);
+      this.problemsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.problemsTabPage.Name = "problemsTabPage";
+      this.problemsTabPage.Size = new System.Drawing.Size(719, 380);
+      this.problemsTabPage.TabIndex = 5;
+      this.problemsTabPage.Text = "Problems";
+      this.problemsTabPage.UseVisualStyleBackColor = true;
       // 
       // refreshButton
       // 
-      this.refreshButton.Image = ((System.Drawing.Image)(resources.GetObject("refreshButton.Image")));
+      this.refreshButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Refresh;
       this.refreshButton.Location = new System.Drawing.Point(0, 0);
       this.refreshButton.Name = "refreshButton";
@@ -174,16 +214,29 @@
       this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
       // 
-      // dataTypeCollectionView
-      // 
-      this.dataTypeCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataTypeCollectionView.Caption = "DataTypeCollection View";
-      this.dataTypeCollectionView.Content = null;
-      this.dataTypeCollectionView.Location = new System.Drawing.Point(6, 6);
-      this.dataTypeCollectionView.Name = "dataTypeCollectionView";
-      this.dataTypeCollectionView.ReadOnly = false;
-      this.dataTypeCollectionView.Size = new System.Drawing.Size(707, 368);
-      this.dataTypeCollectionView.TabIndex = 0;
+      // problemClassCollectionView
+      // 
+      this.problemClassCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemClassCollectionView.Caption = "ProblemClassCollection View";
+      this.problemClassCollectionView.Content = null;
+      this.problemClassCollectionView.Location = new System.Drawing.Point(3, 3);
+      this.problemClassCollectionView.Name = "problemClassCollectionView";
+      this.problemClassCollectionView.ReadOnly = false;
+      this.problemClassCollectionView.Size = new System.Drawing.Size(713, 374);
+      this.problemClassCollectionView.TabIndex = 0;
+      // 
+      // problemCollectionView
+      // 
+      this.problemCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.problemCollectionView.Caption = "ProblemCollection View";
+      this.problemCollectionView.Content = null;
+      this.problemCollectionView.Location = new System.Drawing.Point(3, 3);
+      this.problemCollectionView.Name = "problemCollectionView";
+      this.problemCollectionView.ReadOnly = false;
+      this.problemCollectionView.Size = new System.Drawing.Size(713, 374);
+      this.problemCollectionView.TabIndex = 0;
       // 
       // AdministratorView
@@ -197,7 +250,9 @@
       this.tabControl.ResumeLayout(false);
       this.platformsTabPage.ResumeLayout(false);
+      this.dataTypesTabPage.ResumeLayout(false);
       this.algorithmClassesTabPage.ResumeLayout(false);
       this.algorithmsTabPage.ResumeLayout(false);
-      this.dataTypesTabPage.ResumeLayout(false);
+      this.problemClassesTabPage.ResumeLayout(false);
+      this.problemsTabPage.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -217,4 +272,8 @@
     private System.Windows.Forms.TabPage dataTypesTabPage;
     private DataTypeCollectionView dataTypeCollectionView;
+    private System.Windows.Forms.TabPage problemClassesTabPage;
+    private System.Windows.Forms.TabPage problemsTabPage;
+    private ProblemClassCollectionView problemClassCollectionView;
+    private ProblemCollectionView problemCollectionView;
 
   }
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AdministratorView.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AdministratorView.cs	(revision 4480)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AdministratorView.cs	(revision 4481)
@@ -54,12 +54,16 @@
       if (Content == null) {
         platformCollectionView.Content = null;
+        dataTypeCollectionView.Content = null;
         algorithmClassCollectionView.Content = null;
         algorithmCollectionView.Content = null;
-        dataTypeCollectionView.Content = null;
+        problemClassCollectionView.Content = null;
+        problemCollectionView.Content = null;
       } else {
         platformCollectionView.Content = Content.Platforms;
+        dataTypeCollectionView.Content = Content.DataTypes;
         algorithmClassCollectionView.Content = Content.AlgorithmClasses;
         algorithmCollectionView.Content = Content.Algorithms;
-        dataTypeCollectionView.Content = Content.DataTypes;
+        problemClassCollectionView.Content = Content.ProblemClasses;
+        problemCollectionView.Content = Content.Problems;
       }
     }
@@ -69,7 +73,9 @@
       refreshButton.Enabled = Content != null;
       platformCollectionView.Enabled = Content != null;
+      dataTypeCollectionView.Enabled = Content != null;
       algorithmClassCollectionView.Enabled = Content != null;
       algorithmCollectionView.Enabled = Content != null;
-      dataTypeCollectionView.Enabled = Content != null;
+      problemClassCollectionView.Enabled = Content != null;
+      problemCollectionView.Enabled = Content != null;
     }
 
@@ -88,7 +94,9 @@
       } else {
         platformCollectionView.Content = Content.Platforms;
+        dataTypeCollectionView.Content = Content.DataTypes;
         algorithmClassCollectionView.Content = Content.AlgorithmClasses;
         algorithmCollectionView.Content = Content.Algorithms;
-        dataTypeCollectionView.Content = Content.DataTypes;
+        problemClassCollectionView.Content = Content.ProblemClasses;
+        problemCollectionView.Content = Content.Problems;
         refreshButton.Enabled = true;
         tabControl.Enabled = true;
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AlgorithmDataView.Designer.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AlgorithmDataView.Designer.cs	(revision 4481)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/Views/AlgorithmDataView.Designer.cs	(revision 4481)
@@ -0,0 +1,255 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.OKB {
+  partial class AlgorithmDataView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AlgorithmDataView));
+      this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
+      this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
+      this.groupBox = new System.Windows.Forms.GroupBox();
+      this.noViewAvailableLabel = new System.Windows.Forms.Label();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.dataTypeComboBox = new System.Windows.Forms.ComboBox();
+      this.newDataButton = new System.Windows.Forms.Button();
+      this.saveFileButton = new System.Windows.Forms.Button();
+      this.openFileButton = new System.Windows.Forms.Button();
+      this.fileTextBox = new System.Windows.Forms.TextBox();
+      this.refreshDataButton = new System.Windows.Forms.Button();
+      this.storeDataButton = new System.Windows.Forms.Button();
+      this.dataTypeLabel = new System.Windows.Forms.Label();
+      this.fileLabel = new System.Windows.Forms.Label();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.groupBox.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // openFileDialog
+      // 
+      this.openFileDialog.FileName = "data";
+      this.openFileDialog.Filter = "All Files (*.*)|*.*";
+      this.openFileDialog.Title = "Load Algorithm Data";
+      // 
+      // saveFileDialog
+      // 
+      this.saveFileDialog.FileName = "data";
+      this.saveFileDialog.Filter = "All Files (*.*)|*.*";
+      this.saveFileDialog.Title = "Save Algorithm Data";
+      // 
+      // groupBox
+      // 
+      this.groupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox.Controls.Add(this.noViewAvailableLabel);
+      this.groupBox.Controls.Add(this.viewHost);
+      this.groupBox.Location = new System.Drawing.Point(0, 83);
+      this.groupBox.Name = "groupBox";
+      this.groupBox.Size = new System.Drawing.Size(633, 371);
+      this.groupBox.TabIndex = 19;
+      this.groupBox.TabStop = false;
+      this.groupBox.Text = "Data:";
+      // 
+      // noViewAvailableLabel
+      // 
+      this.noViewAvailableLabel.Anchor = System.Windows.Forms.AnchorStyles.None;
+      this.noViewAvailableLabel.AutoSize = true;
+      this.noViewAvailableLabel.Location = new System.Drawing.Point(269, 179);
+      this.noViewAvailableLabel.Name = "noViewAvailableLabel";
+      this.noViewAvailableLabel.Size = new System.Drawing.Size(94, 13);
+      this.noViewAvailableLabel.TabIndex = 1;
+      this.noViewAvailableLabel.Text = "No view available.";
+      this.noViewAvailableLabel.Visible = false;
+      // 
+      // viewHost
+      // 
+      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.viewHost.Caption = "View";
+      this.viewHost.Content = null;
+      this.viewHost.Enabled = false;
+      this.viewHost.Location = new System.Drawing.Point(6, 19);
+      this.viewHost.Name = "viewHost";
+      this.viewHost.ReadOnly = false;
+      this.viewHost.Size = new System.Drawing.Size(621, 346);
+      this.viewHost.TabIndex = 0;
+      this.viewHost.ViewType = null;
+      // 
+      // dataTypeComboBox
+      // 
+      this.dataTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dataTypeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.dataTypeComboBox.FormattingEnabled = true;
+      this.dataTypeComboBox.Location = new System.Drawing.Point(66, 30);
+      this.dataTypeComboBox.Name = "dataTypeComboBox";
+      this.dataTypeComboBox.Size = new System.Drawing.Size(567, 21);
+      this.dataTypeComboBox.TabIndex = 16;
+      this.dataTypeComboBox.SelectedIndexChanged += new System.EventHandler(this.dataTypeComboBox_SelectedIndexChanged);
+      // 
+      // newDataButton
+      // 
+      this.newDataButton.Image = ((System.Drawing.Image)(resources.GetObject("newDataButton.Image")));
+      this.newDataButton.Location = new System.Drawing.Point(90, 0);
+      this.newDataButton.Name = "newDataButton";
+      this.newDataButton.Size = new System.Drawing.Size(24, 24);
+      this.newDataButton.TabIndex = 12;
+      this.toolTip.SetToolTip(this.newDataButton, "Create New Algorithm Data");
+      this.newDataButton.UseVisualStyleBackColor = true;
+      this.newDataButton.Click += new System.EventHandler(this.newDataButton_Click);
+      // 
+      // saveFileButton
+      // 
+      this.saveFileButton.Image = ((System.Drawing.Image)(resources.GetObject("saveFileButton.Image")));
+      this.saveFileButton.Location = new System.Drawing.Point(150, 0);
+      this.saveFileButton.Name = "saveFileButton";
+      this.saveFileButton.Size = new System.Drawing.Size(24, 24);
+      this.saveFileButton.TabIndex = 14;
+      this.toolTip.SetToolTip(this.saveFileButton, "Save Algorithm Data into File");
+      this.saveFileButton.UseVisualStyleBackColor = true;
+      this.saveFileButton.Click += new System.EventHandler(this.saveFileButton_Click);
+      // 
+      // openFileButton
+      // 
+      this.openFileButton.Image = ((System.Drawing.Image)(resources.GetObject("openFileButton.Image")));
+      this.openFileButton.Location = new System.Drawing.Point(120, 0);
+      this.openFileButton.Name = "openFileButton";
+      this.openFileButton.Size = new System.Drawing.Size(24, 24);
+      this.openFileButton.TabIndex = 13;
+      this.toolTip.SetToolTip(this.openFileButton, "Load Algorithm Data from File");
+      this.openFileButton.UseVisualStyleBackColor = true;
+      this.openFileButton.Click += new System.EventHandler(this.openFileButton_Click);
+      // 
+      // fileTextBox
+      // 
+      this.fileTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.fileTextBox.Location = new System.Drawing.Point(66, 57);
+      this.fileTextBox.Name = "fileTextBox";
+      this.fileTextBox.ReadOnly = true;
+      this.fileTextBox.Size = new System.Drawing.Size(567, 20);
+      this.fileTextBox.TabIndex = 18;
+      // 
+      // refreshDataButton
+      // 
+      this.refreshDataButton.Image = ((System.Drawing.Image)(resources.GetObject("refreshDataButton.Image")));
+      this.refreshDataButton.Location = new System.Drawing.Point(0, 0);
+      this.refreshDataButton.Name = "refreshDataButton";
+      this.refreshDataButton.Size = new System.Drawing.Size(24, 24);
+      this.refreshDataButton.TabIndex = 10;
+      this.toolTip.SetToolTip(this.refreshDataButton, "Refresh Algorithm Data from OKB");
+      this.refreshDataButton.UseVisualStyleBackColor = true;
+      this.refreshDataButton.Click += new System.EventHandler(this.refreshDataButton_Click);
+      // 
+      // storeDataButton
+      // 
+      this.storeDataButton.Image = ((System.Drawing.Image)(resources.GetObject("storeDataButton.Image")));
+      this.storeDataButton.Location = new System.Drawing.Point(30, 0);
+      this.storeDataButton.Name = "storeDataButton";
+      this.storeDataButton.Size = new System.Drawing.Size(24, 24);
+      this.storeDataButton.TabIndex = 11;
+      this.toolTip.SetToolTip(this.storeDataButton, "Store Algorithm Data in OKB");
+      this.storeDataButton.UseVisualStyleBackColor = true;
+      this.storeDataButton.Click += new System.EventHandler(this.storeDataButton_Click);
+      // 
+      // dataTypeLabel
+      // 
+      this.dataTypeLabel.AutoSize = true;
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 33);
+      this.dataTypeLabel.Name = "dataTypeLabel";
+      this.dataTypeLabel.Size = new System.Drawing.Size(57, 13);
+      this.dataTypeLabel.TabIndex = 15;
+      this.dataTypeLabel.Text = "&DataType:";
+      // 
+      // fileLabel
+      // 
+      this.fileLabel.AutoSize = true;
+      this.fileLabel.Location = new System.Drawing.Point(3, 60);
+      this.fileLabel.Name = "fileLabel";
+      this.fileLabel.Size = new System.Drawing.Size(26, 13);
+      this.fileLabel.TabIndex = 17;
+      this.fileLabel.Text = "&File:";
+      // 
+      // AlgorithmDataView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.groupBox);
+      this.Controls.Add(this.dataTypeComboBox);
+      this.Controls.Add(this.newDataButton);
+      this.Controls.Add(this.saveFileButton);
+      this.Controls.Add(this.openFileButton);
+      this.Controls.Add(this.fileTextBox);
+      this.Controls.Add(this.refreshDataButton);
+      this.Controls.Add(this.storeDataButton);
+      this.Controls.Add(this.dataTypeLabel);
+      this.Controls.Add(this.fileLabel);
+      this.Name = "AlgorithmDataView";
+      this.Size = new System.Drawing.Size(633, 454);
+      this.groupBox.ResumeLayout(false);
+      this.groupBox.PerformLayout();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.ToolTip toolTip;
+    private System.Windows.Forms.OpenFileDialog openFileDialog;
+    private System.Windows.Forms.SaveFileDialog saveFileDialog;
+    private System.Windows.Forms.GroupBox groupBox;
+    private System.Windows.Forms.Label noViewAvailableLabel;
+    private MainForm.WindowsForms.ViewHost viewHost;
+    private System.Windows.Forms.ComboBox dataTypeComboBox;
+    private System.Windows.Forms.Button newDataButton;
+    private System.Windows.Forms.Button saveFileButton;
+    private System.Windows.Forms.Button openFileButton;
+    private System.Windows.Forms.TextBox fileTextBox;
+    private System.Windows.Forms.Button refreshDataButton;
+    private System.Windows.Forms.Button storeDataButton;
+    private System.Windows.Forms.Label dataTypeLabel;
+    private System.Windows.Forms.Label fileLabel;
+
+  }
+}
